PETSc version 3.15.5
Fix/Edit manual page

# DMInterpolationGetDim

Gets the spatial dimension for the interpolation context

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationGetDim(DMInterpolationInfo ctx, PetscInt *dim)

Not collective

### Input Parameter

| ctx | - the context

### Output Parameter

| dim | - the spatial dimension

### See Also

DMInterpolationSetDim(), DMInterpolationEvaluate(), DMInterpolationAddPoints()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages